Bug 115290 - Provide a 'Restore Default' button in the template manager
Provide a 'Restore Default' button in the template manager
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Templates
6.x
All All
: P3 (vote)
: 8.0
Assigned To: Martin Entlicher
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-11 22:19 UTC by Karthikeyan Rajeswaran
Modified: 2013-09-09 01:45 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karthikeyan Rajeswaran 2007-09-11 22:19:51 UTC
The template manager allows us to delete any existing template. But once deleted, there doesn't seem to be a way to get
the template back. 

A 'restore default' button can be provided to restore the factory defaults. Such a button may leave any user defined
settings untouched, except where they conflict with the factory defaults, in which case the factory default should be
given precedence.

Ref: http://www.netbeans.org/servlets/BrowseList?list=nbusers&by=thread&from=808343
Comment 1 David Simonek 2007-09-12 10:59:38 UTC
I don't know where template manager belongs, maybe to dialogs Jirka? Please pass further if I'm wrong, thanks.
Comment 2 Martin Entlicher 2013-09-06 14:59:50 UTC
Implemented by changeset:   263756:7558d06d1f06
http://hg.netbeans.org/core-main/rev/7558d06d1f06
Comment 3 Quality Engineering 2013-09-09 01:45:09 UTC
Integrated into 'main-silver', will be available in build *201309090001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/7558d06d1f06
User: mentlicher@netbeans.org
Log: #115290: Revert to Default button is added to Template Manager. It restores the initial default content of template files.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo